#!/bin/bash  
  
# 应用名称和启动命令  
APP_NAME="DatangEnosData-0.0.1-SNAPSHOT"
JAR_PATH="/data/project/DatangEnosData-0.0.1-SNAPSHOT.jar"
  
# 检查进程是否存在
if ! pgrep -f "$JAR_PATH" > /dev/null  
then  
    echo "Starting $APP_NAME ..."  
    nohup java -Xms256m -Xmx512m -XX:+UseG1GC -jar -DFILE_STORE_ID=1 $JAR_PATH > /dev/null 2>&1 &  
    echo "$APP_NAME started."  
else  
    echo "$APP_NAME 文件存储 1 is already running."  
fi
